<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Task3</title>
</head>
<body>
	<table border="1" id="table">
		<tr bgcolor="grey">
			<td colspan="6">Drag a colum header and drop it here to group by that colum</td>
		</tr>
		<tr bgcolor="grey" align="center">
			<td>ProductID</td>
			<td>Product name</td>
			<td>Unit price</td>
			<td>Quantity per unit</td>
			<td>Units in stock</td>
			<td>Discontinued</td>
		</tr>
		<tr bgcolor="grey">
			<td><input type="tel" name="id" maxlength="2" size="2px"></td>
			<td><input type="text" name="name"></td>
			<td><input type="text" name="price" maxlength="5" size="5px"></td>
			<td><input type="tel" name="quantity" maxlength="18" size="10px"></td>
			<td><input type="tel" name="unitsInStock" maxlength="6" size="6px"></td>
			<td><input type="checkbox" name="check"></td>
		</tr>

		<tr id="tr1" name = "first">
			<td>1</td>
			<td>test1</td>
			<td>$18.00</td>
			<td>10 boxes x 20 bags</td>
			<td>39</td>
			<td><input type="checkbox" name="check1"></td>
		</tr>

		<tr id="tr2" name = "first"> 
			<td>2</td>
			<td>test1</td>
			<td>$19.00</td>
			<td>24 - 12 oz bottles</td>
			<td>17</td>
			<td><input type="checkbox" name="check2"></td>
		</tr>

		<tr id="tr3" name = "first">
			<td>3</td>
			<td>test1</td>
			<td>$10.00</td>
			<td>12-550 ml bottles</td>
			<td>13</td>
			<td><input type="checkbox" name="check3"></td>
		</tr>

		<tr id="tr4" name = "first">
			<td>4</td>
			<td>test1</td>
			<td>$22.00</td>
			<td>48-6 oz jars</td>
			<td>53</td>
			<td><input type="checkbox" name="check4"></td>
		</tr>

		<tr id="tr5" name = "first">
			<td>5</td>
			<td>test1</td>
			<td>$21.35</td>
			<td>36 boxes</td>
			<td>0</td>
			<td><input type="checkbox" name="check5"></td>
		</tr>

		<tr id="tr6" name = "second">
			<td>6</td>
			<td>test1</td>
			<td>$25.00</td>
			<td>12-8 oz jars</td>
			<td>120</td>
			<td><input type="checkbox" name="check6"></td>
		</tr>

		<tr id="tr7" name = "second">
			<td>7</td>
			<td>test1</td>
			<td>$30.00</td>
			<td>12-1 lb pkgs</td>
			<td>15</td>
			<td><input type="checkbox" name="check7"></td>
		</tr>

		<tr id="tr8" name = "second">
			<td>8</td>
			<td>test1</td>
			<td>$40.00</td>
			<td>12-12 oz jars</td>
			<td>6</td>
			<td><input type="checkbox" name="check8"></td>
		</tr>

		<tr id="tr9" name = "second">
			<td>9</td>
			<td>test1</td>
			<td>$97.00</td>
			<td>18-500 g pkgs</td>
			<td>29</td>
			<td><input type="checkbox" name="check9"></td>
		</tr>

		<tr id="tr10" name = "second">
			<td>10</td>
			<td>test1</td>
			<td>$31.00</td>
			<td>12-200 ml jars</td>
			<td>31</td>
			<td><input type="checkbox" name="check10"></td>
		</tr>

		<tr id="tr11">
			<td>11</td>
			<td>test1</td>
			<td>$100.00</td>
			<td>test</td>
			<td>100</td>
			<td><input type="checkbox" name="check11"></td>
		</tr>
		<tr id="tr12">
			<td>12</td>
			<td>test1</td>
			<td>$100.00</td>
			<td>test</td>
			<td>100</td>
			<td><input type="checkbox" name="check12"></td>
		</tr>
		<tr id="tr13">
			<td>13</td>
			<td>test1</td>
			<td>$100.00</td>
			<td>test</td>
			<td>100</td>
			<td><input type="checkbox" name="check13"></td>
		</tr>
		<tr id="tr14">
			<td>14</td>
			<td>test1</td>
			<td>$100.00</td>
			<td>test</td>
			<td>100</td>
			<td><input type="checkbox" name="check14"></td>
		</tr>
		<tr id="tr15">
			<td>15</td>
			<td>test1</td>
			<td>$100.00</td>
			<td>test</td>
			<td>100</td>
			<td><input type="checkbox" name="check15"></td>
		</tr>
		<tr bgcolor="grey">
			<td colspan="3">
				<button type="button"> |< </button>
				<button type="button"> < </button>
				<a href="task3.html">1</a>
				<a href="task3_2.html">2</a>
				<a href="task3_3.html">3</a>
				<button type="button"> > </button>
				<button type="button"> >| </button>
			<td>
				Page size
				<form name="form">
					<select id="size">
						<option>Choose size</option>
						<option>5</option>
						<option>10</option>
						<option>15</option>
					</select>
				</form>
			</td>
			</td>
			<td colspan="2">
				335104 items in 33511 pages
			</td>
		</tr>
	</table>
	<script type="text/javascript">
		var table = document.getElementById('table').rows[0];

		var tr1 = document.getElementById('tr1');
		var tr2 = document.getElementById('tr2');
		var tr3 = document.getElementById('tr3');
		var tr4 = document.getElementById('tr4');
		var tr5 = document.getElementById('tr5');
		var tr6 = document.getElementById('tr6');
		var tr7 = document.getElementById('tr7');
		var tr8 = document.getElementById('tr8');
		var tr9 = document.getElementById('tr9');
		var tr10 = document.getElementById('tr10');

		var tr11 = document.getElementById('tr11');
		var tr12 = document.getElementById('tr12');
		var tr13 = document.getElementById('tr13');
		var tr14 = document.getElementById('tr14');
		var tr15 = document.getElementById('tr15');

		var select = document.getElementById('size');
		var selectElem = form.size;

		tr11.style.display = 'none';
		tr12.style.display = 'none';
		tr13.style.display = 'none';
		tr14.style.display = 'none';	
		tr15.style.display = 'none';
 
		function changeSize(){
		    var selectedOption = selectElem.options[selectElem.selectedIndex];
		    if (selectedOption.text == '5') {
				tr6.style.display = 'none';
				tr7.style.display = 'none';
				tr8.style.display = 'none';
				tr9.style.display = 'none';
				tr10.style.display = 'none';

				tr11.style.display = 'none';
				tr12.style.display = 'none';
				tr13.style.display = 'none';
				tr14.style.display = 'none';
				tr15.style.display = 'none';
			}
			if (selectedOption.text == '10') {
				tr6.style.display = '';
				tr7.style.display = '';
				tr8.style.display = '';
				tr9.style.display = '';
				tr10.style.display = '';

				tr11.style.display = 'none';
				tr12.style.display = 'none';
				tr13.style.display = 'none';
				tr14.style.display = 'none';
				tr15.style.display = 'none';
			}
			if (selectedOption.text == '15') {
				tr6.style.display = '';
				tr7.style.display = '';
				tr8.style.display = '';
				tr9.style.display = '';
				tr10.style.display = '';

				tr11.style.display = '';
				tr12.style.display = '';
				tr13.style.display = '';
				tr14.style.display = '';
				tr15.style.display = '';
			}
		}
 
		selectElem.addEventListener("change", changeSize);

		
	</script>
</body>
</html>